package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.StoreLabel;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.StoreLabelMapper")
public interface StoreLabelMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(StoreLabel record);

    StoreLabel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(StoreLabel record);

    List<StoreLabel> queryAllStoreLabel(StoreLabel record);

    List<StoreLabel> queryStoreLabelByPage(Map<String, Object> parameter);

    int delete(String id);

    StoreLabel queryStoreLabel(StoreLabel record);

    List<StoreLabel> query(StoreLabel record);
}

